/*
 * Pour le testeur j'ai besoin d'ecrire dans l'eeprom. Je stock dans les 2 premiers bit le pointeur sur l'ecriture
 * Le format de l'ecriture est sur 3 bit les 2 premier bit sont date et "jour" codé sur 60(min)*24(h)sur les 11 premier bit et le jour sur les 5 restant (max 32 jours)	
 */
#ifndef __MY_EEPROM_H__
#define __MY_EEPROM_H__

#include <stdint.h>

#define ECUON 	0
#define ECUOF 	1
#define BR1ON	2
#define	BR1OF	3
#define BR2ON	4
#define BR2OF	5
#define REMON	6
#define REMOF	7
#define OSMON	8
#define OSMOF	9
#define CHAON	10
#define CHAOF	11
#define TEBON	12
#define TEBOF	13
#define TEHON	14
#define TEHOF	15
#define REBON	16
#define REBOF	17
#define CUHON	18
#define CUHOF	19
#define LUMON 20
#define LUMOF 21

#define MAXEEPROM 4096

//Ecrit le nombre de bit dans l'EEPROM a la suite de la derniere ecriture (Si l'EEPROM est plein n'ecrit pas return -1)
int Write_EEPROM(uint8_t *tab, int nb);

//remet a 0 le pointeur d'ecriture
int erase();

//renvoit la date au format 16 bit
uint16_t date(void);

//decode la date
void readdate(uint16_t date, uint8_t* jour, uint8_t* heure, uint8_t* min);

//Affiche le contenue de l'EEPROM de facon claire
void AfficheEEprom();

//Affiche un instantané des sortie 
void instantane();

//Enregistre dans l'Eeprom l'evenement en ecrivant la date + le numero de l'evenement
void Enregistre(uint8_t even);

#endif
